from .display_style import display_style_property, display_style
from ..mixin.mixin import mixin_ingredient
from ..primitives.layer import gds_layer


class display_layer(mixin_ingredient):
    display_style = display_style_property(default = None)
    

gds_layer.mixin(display_layer)
cycle_colors = ["black", "red", "green", "blue", "magenta", "yellow", "cyan", "maroon"]
DEFAULT_DISPLAY_LAYER_SET = [(D, display_style(color = cycle_colors[D%len(cycle_colors)])) for D in xrange(256)]
